SHEBANG
# Copyright (c) 2005 Roman Petrov <melkor@pikenet.ru>
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# $Id: up.m4,v 1.4 2007/01/30 12:16:45 gd Exp $
JNTROSTUP(aredd,,dnl
,dnl
# jailup aredd dir jailname jailaddr jnice uid
#     where dir relative to ${jailupdir} and ${jailrodir}dnl
)

jdir="${1}"
jailsname="${2}"
jailsaddr="${3}"
jnice="${4}"
juid="${5:-20000}"
main_dir="${JAILUPDIR}/${jdir}"
conf_dir="${JAILRODIR}/${jdir}"
TEMPLATE=${this}/text.html

${mkdir} "${main_dir}" "${conf_dir}"
${up_mdir} "${main_dir}" ${MTREE}

${up_libexe} "${main_dir}/usr/libexec" << EOF
    ld-elf.so.1
EOF

${up_exec} "${main_dir}/usr/libexec" << EOF
    ${this}/aredd
EOF

${up_shlib} "${main_dir}/usr/lib" << EOF
    c
EOF

CONFCOPY(text.html,  "${TEMPLATE}")

${cat} << EOF >> "${genconfig}"
#${genclass}    ${inclass}          ${jdir} ${jailsname}    ${jailsaddr}    ${jnice}   ${juid}     ${juid}     ${juid}
EOF

      #####################################
      ####                             ####
      #### Begin of fstab mod          ####
      ####                             ####
${cat} << EOF >> "${etcdir}/fstab"
#${conf_dir}            ${main_dir}/etc null    ro,nodev,noexec 0 0
EOF
      ####                             ####
      #### End of fstab mod            ####
      ####                             ####
      #####################################
